## irclog2html 2.15.3

=== Makefile ===
PYTHON = python
PAGER = less -RFX
TESTFLAGS = -vc

FILE_WITH_VERSION = src/irclog2html/_version.py
FILE_WITH_CHANGELOG = CHANGES.rst
VCS_STATUS = git status --porcelain
VCS_EXPORT = git archive --format=tar --prefix=tmp/tree/ HEAD | tar -xf -
VCS_TAG = git tag
VCS_COMMIT_AND_PUSH = git commit -a -m "Post-release version bump" && git push && git push --tags

scripts = bin/test bin/irclog2html bin/logs2html bin/irclogsearch bin/irclogserver bin/tox


.PHONY: default
default: all


.PHONY: all
all: $(scripts)


.PHONY: check test
check test: bin/test
ifdef PAGER
	bin/test $(TESTFLAGS) | $(PAGER)
else
	bin/test $(TESTFLAGS)
endif

.PHONY: test-all-pythons
test-all-pythons: bin/tox
	bin/tox

.PHONY: coverage
coverage: bin/tox
	bin/tox -e coverage,coverage3 -- -p
	bin/coverage combine
	bin/coverage report

.PHONY: dist
dist:
	$(PYTHON) setup.py sdist

.PHONY: distcheck
distcheck:
	# Bit of a chicken-and-egg here, but if the tree is unclean, make
	# distcheck will fail.
ifndef FORCE
	@test -z "`$(VCS_STATUS) 2>&1`" || { echo; echo "Your working tree is not clean" 1>&2; $(VCS_STATUS); exit 1; }
endif
	make dist
	pkg_and_version=`$(PYTHON) setup.py --name`-`$(PYTHON) setup.py --version` && \
	rm -rf tmp && \
	mkdir tmp && \
	$(VCS_EXPORT) && \
	cd tmp && \
	tar xvzf ../dist/$$pkg_and_version.tar.gz && \
	diff -ur $$pkg_and_version tree -x PKG-INFO -x setup.cfg -x '*.egg-info' && \
	cd $$pkg_and_version && \
	make dist check && \
	cd .. && \
	mkdir one two && \
	cd one && \
	tar xvzf ../../dist/$$pkg_and_version.tar.gz && \
	cd ../two/ && \
	tar xvzf ../$$pkg_and_version/dist/$$pkg_and_version.tar.gz && \
	cd .. && \
	diff -ur one two -x SOURCES.txt && \
	cd .. && \
	rm -rf tmp && \
	echo "sdist seems to be ok"

.PHONY: releasechecklist
releasechecklist:
	@$(PYTHON) setup.py --version | grep -qv dev || { \
	    echo "Please remove the 'dev' suffix from the version number in $(FILE_WITH_VERSION)"; exit 1; }
	@$(PYTHON) setup.py --long-description | rst2html --exit-status=2 > /dev/null
	@ver_and_date="`$(PYTHON) setup.py --version` (`date +%Y-%m-%d`)" && \
	    grep -q "^$$ver_and_date$$" $(FILE_WITH_CHANGELOG) || { \
	        echo "$(FILE_WITH_CHANGELOG) has no entry for $$ver_and_date"; exit 1; }
	make distcheck

.PHONY: release
release: releasechecklist
	# I'm chicken so I won't actually do these things yet
	@echo "Please run"
	@echo
	@echo "  rm -rf dist && $(PYTHON) setup.py sdist bdist_wheel && twine upload dist/* && $(VCS_TAG) `$(PYTHON) setup.py --version`"
	@echo
	@echo "Please increment the version number in $(FILE_WITH_VERSION)"
	@echo "and add a new empty entry at the top of the changelog in $(FILE_WITH_CHANGELOG), then"
	@echo
	@echo '  $(VCS_COMMIT_AND_PUSH)'
	@echo

.PHONY: clean
clean:
	rm -f testcases/*.html testcases/*.css


python:
	virtualenv -p $(PYTHON) python

python/bin/virtualenv:
	python/bin/pip install -U setuptools virtualenv

bin/buildout: python bootstrap.py
	python/bin/pip install -U setuptools
	python/bin/python bootstrap.py
	touch -c $@


$(scripts): bin/buildout buildout.cfg setup.py python/bin/virtualenv
	bin/buildout
	touch -c $(scripts)

=== debian/changelog ===
irclog2html (2.15.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 19 Dec 2016 19:00:47 +0100

irclog2html (2.15.3-1) unstable; urgency=medium

  * New upstream version 2.15.3

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 08 Dec 2016 14:56:04 +0100

irclog2html (2.15.2-2) unstable; urgency=medium

  * Document copyright and license of ./bootstrap.py.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 09 Oct 2016 10:16:25 +0000

irclog2html (2.15.2-1) unstable; urgency=medium

  * Initial release.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 07 Oct 2016 23:57:16 +0000

=== debian/control ===
Source: irclog2html
Priority: extra
Section: misc
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 python3-mock,
 python3-setuptools,
 python3-zope,
 python3-zope.testing,
Standards-Version: 3.9.8
Homepage: http://mg.pov.lt/irclog2html/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/irclog2html.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/irclog2html.git

Package: irclog2html
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Converts IRC log files to HTML with pretty colours
 Python scripts that converts IRC log files from several formats to coloured
 HTML.
 .
 Features include:
  * XHTML & CSS output
  * Unique, automatic nick colours (preserved across nick changes)
  * URL highlighting
  * Bookmarkable timestamps for each line
  * Navigation links between daily log files

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/irclog2html/irclog2html-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## irclog2html 2.17.0

=== Makefile ===
PYTHON = python
PAGER = less -RFX
TESTFLAGS = -v

FILE_WITH_VERSION = src/irclog2html/_version.py
FILE_WITH_CHANGELOG = CHANGES.rst

scripts = bin/test bin/irclog2html bin/logs2html bin/irclogsearch bin/irclogserver

SHELL = /bin/bash -o pipefail


ifneq "$(TERM)" "dumb"
is_tty = $(shell test -t 2 && echo 1)
endif


.PHONY: default
default: all


.PHONY: all
all: $(scripts)


.PHONY: check test
check test: bin/test
ifdef is_tty
	bin/test $(TESTFLAGS) -c | $(PAGER)
else
	bin/test $(TESTFLAGS)
endif

.PHONY: test-all-pythons
test-all-pythons:
	tox

.PHONY: coverage
coverage:
	tox -e coverage,coverage3 -- -p
	coverage combine
	coverage report -m --fail-under=100

.PHONY: clean
clean:
	rm -f testcases/*.html testcases/*.css


.PHONY: releasechecklist
releasechecklist: check-date  # also release.mk will add other checks

include release.mk

.PHONY: check-date
check-date:
	@date_line="__date__ = '`date +%Y-%m-%d`'" && \
	    grep -q "^$$date_line$$" $(FILE_WITH_VERSION) || { \
	        echo "$(FILE_WITH_VERSION) doesn't specify $$date_line"; exit 1; }


python:
	virtualenv -p $(PYTHON) python

python/bin/virtualenv:
	python/bin/pip install -U setuptools virtualenv

bin/buildout: python bootstrap.py
	python/bin/pip install -U setuptools
	python/bin/python bootstrap.py
	touch -c $@


$(scripts): bin/buildout buildout.cfg setup.py python/bin/virtualenv
	bin/buildout
	touch -c $(scripts)

=== debian/changelog ===
irclog2html (2.17.0-2) unstable; urgency=medium

  [ Unit 193 ]
  * Fix typo in 2.16.0-1 changelog entry.
  * d/copyright:
    + Use https where possible.
    + Add upstream maintainer's email.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Mar 2018 17:53:42 +0100

irclog2html (2.17.0-1) unstable; urgency=medium

  * New upstream version 2.17.0.
  * d/control:
    + Bump Standards-Version to 4.1.3, no changes needed.
    + Update Vcs-* fields for the move to salsa.debian.org.
  * Add patch fixing FTBFS in a non-UTF8 environment.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Mar 2018 17:31:33 +0100

irclog2html (2.16.0-1) unstable; urgency=medium

  * New upstream version 2.16.0.
  * Bump debhelper compat level to 11.
  * d/control:
    + Bump Standards-Version to 4.1.2:
      - Priority:extra is deprecated in favour of optional.
    + Rules-Requires-Root: no.
    + Use HTTPS in the Homepage field.
  * d/copyright: Bump copyright year for debian/*.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 23 Dec 2017 22:15:33 +0100

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: irclog2html
-Priority: extra
+Priority: optional
 Section: misc
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python3-all,
  python3-mock,
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 3.9.8
-Homepage: http://mg.pov.lt/irclog2html/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/irclog2html.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/irclog2html.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Homepage: https://mg.pov.lt/irclog2html
+Vcs-Browser: https://salsa.debian.org/debian/irclog2html
+Vcs-Git: https://salsa.debian.org/debian/irclog2html.git
 
 Package: irclog2html
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

## irclog2html 2.17.1

=== Makefile ===
--- 
+++ 
@@ -24,12 +24,16 @@
 
 
 .PHONY: check test
-check test: bin/test
+check test: bin/test flake8
 ifdef is_tty
 	bin/test $(TESTFLAGS) -c | $(PAGER)
 else
 	bin/test $(TESTFLAGS)
 endif
+
+.PHONY: flake8 lint
+flake8 lint:
+	flake8 src setup.py
 
 .PHONY: test-all-pythons
 test-all-pythons:

=== debian/changelog ===
irclog2html (2.17.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 Dec 2018 16:30:21 +0100

irclog2html (2.17.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.

  [ Mattia Rizzolo ]
  * New upstream version 2.17.1.
  * Remove all patches, applied upstream.
  * d/watch: Simplify using the new subst vars.
  * d/control:
    + Bump Standards-Version to 4.2.1, no changes needed.
    + Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 27 Nov 2018 10:59:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Section: misc
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  python3-all,
  python3-mock,
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html

## irclog2html 2.17.2

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,13 @@
 	coverage combine
 	coverage report -m --fail-under=100
 
+.PHONY: diff-cover
+diff-cover: coverage
+	tox -e coverage,coverage3 -- -p
+	coverage combine
+	coverage xml
+	diff-cover coverage.xml
+
 .PHONY: clean
 clean:
 	rm -f testcases/*.html testcases/*.css

=== debian/changelog ===
irclog2html (2.17.2-1) unstable; urgency=medium

  * New upstream version 2.17.2.
  * d/control: Bump Standards-Version to 4.3.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jul 2019 17:45:19 +0200

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html

## irclog2html 2.17.3

=== Makefile ===
PYTHON = python3

scripts = bin/test bin/irclog2html bin/logs2html bin/irclogsearch bin/irclogserver


.PHONY: all
all: $(scripts)         ##: build a local buildout with all the scripts


.PHONY: test
test:                   ##: run tests
	tox -p auto

.PHONY: flake8
flake8:                 ##: check for style problems
	tox -e flake8

.PHONY: coverage
coverage:               ##: measure test coverage
	tox -e coverage2,coverage3

.PHONY: diff-cover
diff-cover:             ##: find untested code on this branch
	tox -e coverage
	coverage xml
	diff-cover coverage.xml

.PHONY: clean
clean:                  ##: clean up build artifacts
	rm -f testcases/*.html testcases/*.css


.PHONY: releasechecklist
releasechecklist: check-date  # also release.mk will add other checks


FILE_WITH_VERSION = src/irclog2html/_version.py
FILE_WITH_METADATA = src/irclog2html/_version.py
include release.mk

# override the release recipe in release.mk
define release_recipe =
$(default_release_recipe_publish_and_tag)
$(default_release_recipe_increment_and_push)
	@echo "Then please go to https://github.com/mgedmin/irclog2html/tags"
	@echo "and convert the $(changelog_ver) tag into a release."
endef

.PHONY: check-date
check-date:
	@date_line="__date__ = '"`date +%Y-%m-%d`"'" && \
	    grep -q "^$$date_line$$" $(FILE_WITH_METADATA) || { \
	        echo "$(FILE_WITH_METADATA) doesn't specify $$date_line"; \
	        echo "Please run make update-date"; exit 1; }

.PHONY: update-date
update-date:                    ##: set release date in source code to today
	sed -i -e "s/^__date__ = '.*'/__date__ = '"`date +%Y-%m-%d`"'/" $(FILE_WITH_METADATA)


python:
	virtualenv -p $(PYTHON) python

python/bin/virtualenv:
	python/bin/pip install -U setuptools virtualenv

bin/buildout: python bootstrap.py
	python/bin/pip install -U setuptools
	python/bin/python bootstrap.py
	touch -c $@

$(scripts): bin/buildout buildout.cfg setup.py python/bin/virtualenv
	bin/buildout
	touch -c $(scripts)

=== debian/changelog ===
irclog2html (2.17.3-2) unstable; urgency=medium

  * Update d/copyright for the license change from GPL-2+ to "GPL-2 or GPL-3".

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Jul 2021 13:56:40 +0200

irclog2html (2.17.3-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 2.17.3.
  * d/control:
    + Bump debhelper compat level to 13.
    + Build-depend on dh-sequence-python3 instead of using `--with python3`.
    + Bump Standards-Version to 4.5.1, no changes needed.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Jul 2021 11:38:39 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Section: misc
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-mock,
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --buildsystem pybuild

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/irclog2html/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## irclog2html 3.0.0

=== Makefile ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 .PHONY: coverage
 coverage:               ##: measure test coverage
-	tox -e coverage2,coverage3
+	tox -e coverage
 
 .PHONY: diff-cover
 diff-cover:             ##: find untested code on this branch

=== debian/changelog ===
irclog2html (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Sep 2023 17:36:06 +0530

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html

## irclog2html 4.0.0

=== Makefile ===
--- 
+++ 
@@ -42,8 +42,10 @@
 define release_recipe =
 $(default_release_recipe_publish_and_tag)
 $(default_release_recipe_increment_and_push)
-	@echo "Then please go to https://github.com/mgedmin/irclog2html/tags"
-	@echo "and convert the $(changelog_ver) tag into a release."
+	@echo "Then please create a GitHub release with"
+	@echo
+	@echo "  gh release create"
+	@echo
 endef
 
 .PHONY: check-date

=== debian/changelog ===
irclog2html (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.
    + Conditional import of the cgi module, to support Python 3.13.
      Closes: #1084605
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 08 Dec 2024 14:00:29 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html
